Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2256 - Problems with Sendmail upgrade script
Summary: Problems with Sendmail upgrade script
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-18 22:06 UTC by Mike McHenry
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-31 18:48:12 UTC


Attachments (Terms of Use)

Description Mike McHenry 1999-04-18 22:06:17 UTC
There are problems in the awk syntax of the %post section
in the new sendmail spec file. As written the script will
not correctly upgrade the old ip_allow, deny, etc files.
This will cause any existing 4.x or 5.x upgrades to the new
sendmail to suddenly stop working as expected.

Specifically the awk statements do not have any files
directed to them as input. I will upload a fixed version
called sendmail-8.9.3-9.src.rpm to gribble. The changes I
made only affect the %post section of the sendmail.spec
file.

Comment 1 Jeff Johnson 1999-05-31 18:48:59 UTC
Fixed in Red Hat 6.0.


Note You need to log in before you can comment on or make changes to this bug.